See also https://gitlab.gnome.org/GNOME/vte/-/issues/2575

--- vte-0.78.4/meson.build.orig
+++ vte-0.78.4/meson.build
@@ -262,7 +262,7 @@
 # Check for symbols
 
 check_symbols_required = [
-  ['TIOCGWINSZ', 'sys/ioctl.h'],
+  ['TIOCGWINSZ', 'sys/termios.h'],
 ]
 
 foreach symbol: check_symbols_required
